/** 
*   Docutain SDK React Native
*   Copyright (c) INFOSOFT Informations- und Dokumentationssysteme GmbH. All rights reserved.
*
*   Docutain SDK React Native is a commercial product and requires a license. 
*   Details found in the LICENSE file in the root directory of this source tree.
*/

export type PDFPageFormatTxt =  'FIT_TO_PAGES'| 'A4' | 'A4_LANDSCAPE' | 'A5' | 'A5_LANDSCAPE' | 'LETTER' | 'LETTER_LANDSCAPE' | 'LEGAL' | 'LEGAL_LANDSCAPE';

export enum PDFPageFormat { FIT_TO_PAGES, A4, A4_LANDSCAPE, A5, A5_LANDSCAPE, LETTER, LETTER_LANDSCAPE, LEGAL, LEGAL_LANDSCAPE}

export enum LogLevel { DISABLE,	ASSERT, ERROR, WARNING, INFO, DEBUG, VERBOSE};

export interface AnalyzeConfiguration {
	readBIC  ?: boolean;
	readPaymentState  ?: boolean;
}

export interface PageEditConfiguration {
	allowPageFilter ?: boolean;
	allowPageRotation ?: boolean;
}


export interface DocumentScannerConfiguration {

	allowCaptureModeSetting?: boolean;

	onboardingImageSource?: number;

	pageEditConfig?: PageEditConfiguration;

	theme?:number;
}



